// package_first/pages/announceList/index.js
Page({

    /**
     * 页面的初始数据
     */
    data: {
        list: [],
        current: "",
    },
    onLoad: function() {
        this.setData({
            current: "/index/westreamAct/page"
        })
    },
    onShow: function() {

    },
     /* 更新数据 */
     updateList(e) {
        let list = this.data.list.concat(e.detail)
        this.setData({ list })
    },
    /* 重置数据 */
    resetList() {
        this.setData({ list: [] })
    },
    /* 跳转至详情页 */
    showDetail(e) {
        let data = e.currentTarget.dataset.item
        wx.navigateTo({
          url: '/package_first/pages/announceDetail/index?data='+ encodeURIComponent(JSON.stringify(data)),
        })
    }
})